# -*- coding:Latin-1 -*-

# Tkinter grafikus konyvtarat alkalmazo gyakorlat
 
from Tkinter import *

def circle(x, y, r, color ='black'):
    "(x,y) kozeppontu es r sugaru kor rajzolasa"
    can.create_oval(x-r, y-r, x+r, y+r, outline=color)
    
def figure_1():
    "celtablat rajzol"
    # Eloszor valamennyi mar meglevo rajzot toroljuk :
    can.delete(ALL)
    # ket egyenes rajzolasa (fuggoleges es vizszintes) :
    can.create_line(100, 0, 100, 200, fill ='blue')
    can.create_line(0, 100, 200, 100, fill ='blue')
    # több koncentrikus kor rajzolasa :
    radius = 15
    while radius < 100:
        circle(100, 100, radius)
        radius += 15 
     
def figure_2():
    "egyszerusitett arc rajzolasa"
    # Eloszor valamennyi mar meglevo rajzot toroljuk :
    can.delete(ALL)
    # Mindegyik kör jellemzoit 
    # egy listaba agyazott listaba tesszuk :
    cc =[[100, 100, 80, 'red'],     # fej
         [70, 70, 15, 'blue'],      # szemek
         [130, 70, 15, 'blue'],     
         [70, 70, 5, 'black'],      
         [130, 70, 5, 'black'],
         [44, 115, 20, 'red'],      # arc
         [156, 115, 20, 'red'],
         [100, 95, 15, 'purple'],   # orr
         [100, 145, 30, 'purple']]  # szaj
    # az osszes kort egy ciklus segitsegevel rajzoljuk meg :
    i =0
    while i < len(cc):      # lista bejarasa
        el = cc[i]          # mindegyik elem maga is egy lista
        circle(el[0], el[1], el[2], el[3])
        i += 1

##### Foprogram : ############
    
window = Tk()
can = Canvas(window, width =200, height =200, bg ='ivory')
can.pack(side =TOP, padx =5, pady =5)
b1 = Button(window, text ='1. ábra', command =figure_1)
b1.pack(side =LEFT, padx =3, pady =3)
b2 = Button(window, text ='2. ábra', command =figure_2)
b2.pack(side =RIGHT, padx =3, pady =3)
window.mainloop()

#cercle -> circle
#dessin -> drawing
#fen -> window
#rayon -> radius
#coul -> color